Subject: bug#36724: closed (Re: Unable to independently verify the new bootstrap binaries)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 20 Jul 2019 05:51:02 +0000

Your bug report

#36724: Unable to independently verify the new bootstrap binaries

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36724: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36724
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: Unable to independently verify the new bootstrap binaries
From: Mark H Weaver <[email-masked]>
To: Jan Nieuwenhuizen <[email-masked]>
Cc: [email-masked]
Date: Sat, 20 Jul 2019 01:48:01 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Janneke,

>> I'm unsure how to proceed.  Can someone please help me independently
>> verify these binaries?
>
> Yeah, I don't know...Do I dare to suggest you give it a retry?

It built successfully on the second attempt.  I'm curious what happened,
but not quite curious enough to investigate further.  Too much else to
do.  I'll close this bug for now.

      Thanks!
        Mark

Subject: Unable to independently verify the new bootstrap binaries
From: Mark H Weaver <[email-masked]>
To: [email-masked]
Cc: Jan Nieuwenhuizen <[email-masked]>
Date: Thu, 18 Jul 2019 18:00:19 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'd like to start compiling 'core-updates' on my machine, but first I
wish to independently verify the new bootstrap binaries.  I'm running
into difficulties with that.

I started by building the new bootstrap binaries from commit
4ae7dc7b9af64794081b1913740b97acd89c91bc, as cited in this commit:

--8<---------------cut here---------------start------------->8---
commit da3c6a7f19ef1243af725f63c16c8fd92fde33b4
Author: Jan Nieuwenhuizen <[email-masked]>
Date:   Sat Nov 24 08:49:21 2018 +0100

    bootstrap: Switch to official bootstrap urls.
    
    Built with
    
        4ae7dc7b9af64794081b1913740b97acd89c91bc
        gnu: Remove duplicate linux-libre-headers package from bootstrap inputs.
    
    * gnu/packages/bootstrap.scm (%bootstrap-linux-libre-headers): Switch to
    official bootstrap urls.
    (%bootstrap-mescc-tools): Likewise.
    (%bootstrap-mes): Likewise.
--8<---------------cut here---------------end--------------->8---

However, this produces 'mes-minimal-stripped-0.18-0.08f04f5' (etc),
whereas the current bootstrap binaries include
'mes-minimal-stripped-0.19'.  My goal now is to independently build
this.

I searched for the commit that updated to 0.19, and found this:

--8<---------------cut here---------------start------------->8---
commit c89bbcccb2cb5449bc609c1229f1638ac72aeea3
Author: Jan Nieuwenhuizen <[email-masked]>
Date:   Sat Dec 15 09:25:12 2018 +0100

    bootstrap: bootstrap-mes: Update.
    
    Built with
    
        ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f
        bootstrap: Add mes-boot0; decouple mes-boot from Mes.
    
    * gnu/packages/bootstrap.scm (%bootstrap-mes): Update.
--8<---------------cut here---------------end--------------->8---

So, I then ran "./pre-inst-env guix build bootstrap-tarballs
--system=i686-linux" from a git checkout at commit
ef809e3ac036eccc5f9c9edd8fb661d14ae15f2f.

On my X200, that leads to an error while building glibc-mesboot-2.16.0:

--8<---------------cut here---------------start------------->8---
/gnu/store/c009pzqxp2id7ha3lpd0npy5l17ykk7x-gcc-mesboot1-4.7.4/bin/gcc  -I /tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/nptl/sysdeps/pthread/bits -D BOOTSTRAP_GLIBC=1 -L /tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0 -L /gnu/store/v6hsbc6nw7ghkyb84j5vddg1mi4iqs4g-glibc-mesboot0-2.2.5/lib rpc_sample.c -c -std=gnu99 -fgnu89-inline  -O2 -Wall -Winline -Wwrite-strings -fmerge-all-constants -frounding-math -g -Wstrict-prototypes   -Wa,-mtune=i686      -D_RPC_THREAD_SAFE_ -I../include -I/tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/build/sunrpc -I/tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/build -I../nptl/sysdeps/unix/sysv/linux/i386/i686 -I../sysdeps/unix/sysv/linux/i386/i686 -I../nptl/sysdeps/unix/sysv/linux/i386 -I../nptl/sysdeps/unix/sysv/linux/x86 -I../sysdeps/unix/sysv/linux/x86 -I../sysdeps/unix/sysv/linux/i386/nptl -I../sysdeps/unix/sysv/linux/i386 -I../nptl/sysdeps/unix/sysv/linux -I../nptl/sysdeps/pthread -I../sysdeps/pthread -I../sysdeps/unix/sysv/linux -I../sysdeps/gnu -I../sysdeps/unix/inet -I../nptl/sysdeps/unix/sysv -I../sysdeps/unix/sysv -I../sysdeps/unix/i386 -I../nptl/sysdeps/unix -I../sysdeps/unix -I../sysdeps/posix -I../sysdeps/i386/i686/fpu/multiarch -I../sysdeps/i386/i686/fpu -I../sysdeps/i386/i686/multiarch -I../nptl/sysdeps/i386/i686 -I../sysdeps/i386/i686 -I../sysdeps/i386/i486 -I../nptl/sysdeps/i386/i486 -I../sysdeps/i386/fpu -I../sysdeps/x86/fpu -I../nptl/sysdeps/i386 -I../sysdeps/i386 -I../sysdeps/x86 -I../sysdeps/wordsize-32 -I../sysdeps/ieee754/ldbl-96 -I../sysdeps/ieee754/dbl-64 -I../sysdeps/ieee754/flt-32 -I../sysdeps/ieee754 -I../sysdeps/generic -I../nptl  -I.. -I../libio -I. -nostdinc -isystem /gnu/store/c009pzqxp2id7ha3lpd0npy5l17ykk7x-gcc-mesboot1-4.7.4/lib/gcc/i686-unknown-linux-gnu/4.7.4/include -isystem /gnu/store/c009pzqxp2id7ha3lpd0npy5l17ykk7x-gcc-mesboot1-4.7.4/lib/gcc/i686-unknown-linux-gnu/4.7.4/include-fixed -isystem /gnu/store/gzy29pvrplvjzvkyzxbws2awrjndfpwg-glibc-headers-mesboot-2.16.0/include -D_LIBC_REENTRANT -include ../include/libc-symbols.h   -DNOT_IN_libc=1    -D_RPC_THREAD_SAFE_ -o /tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/build/sunrpc/rpc_sample.o -MD -MP -MF /tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/build/sunrpc/rpc_sample.o.dt -MT /tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/build/sunrpc/rpc_sample.o
gcc   -D_RPC_THREAD_SAFE_ -D_GNU_SOURCE -DIS_IN_build -include /tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/build/config.h rpc_main.c \
	-o /tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/build/sunrpc/cross-rpc_main.o -MMD -MP -MF /tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/build/sunrpc/cross-rpc_main.o.dt -MT /tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/build/sunrpc/cross-rpc_main.o -c
^[[0mrpc_main.c:37:19: fatal ^[[0m^[[31merror^[[0m^[[1m^[[0m^[[1m:^[[0m^[[1m errno.h: No such file or directory
^[[0mcompilation terminated.
make[2]: *** [/tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/build/sunrpc/cross-rpc_main.o] Error 1
make[2]: Leaving directory `/tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0/sunrpc'
make[1]: *** [sunrpc/others] Error 2
make[1]: Leaving directory `/tmp/guix-build-glibc-mesboot-2.16.0.drv-0/glibc-2.16.0'
make: *** [all] Error 2
Backtrace:
In ice-9/boot-9.scm:
 157: 12 [catch #t #<catch-closure 84fa680> ...]
In unknown file:
   ?: 11 [apply-smob/1 #<catch-closure 84fa680>]
In ice-9/boot-9.scm:
  63: 10 [call-with-prompt prompt0 ...]
In ice-9/eval.scm:
 432: 9 [eval # #]
In ice-9/boot-9.scm:
2320: 8 [save-module-excursion #<procedure 8514de0 at ice-9/boot-9.scm:3961:3 ()>]
3966: 7 [#<procedure 8514de0 at ice-9/boot-9.scm:3961:3 ()>]
1645: 6 [%start-stack load-stack ...]
1650: 5 [#<procedure 8517d50 ()>]
In unknown file:
   ?: 4 [primitive-load "/gnu/store/9k9rqznk7arn85f7md77n1v5ndqb96cj-glibc-mesboot-2.16.0-guile-builder"]
In ice-9/eval.scm:
 387: 3 [eval # ()]
In srfi/srfi-1.scm:
 830: 2 [every1 #<procedure 873f2f0 at /gnu/store/72ng0zh4qr4lfhaxmz6pgfsn8rcnk85w-module-import/guix/build/gnu-build-system.scm:795:9 (expr)> ...]
In /gnu/store/72ng0zh4qr4lfhaxmz6pgfsn8rcnk85w-module-import/guix/build/gnu-build-system.scm:
 799: 1 [#<procedure 873f2f0 at /gnu/store/72ng0zh4qr4lfhaxmz6pgfsn8rcnk85w-module-import/guix/build/gnu-build-system.scm:795:9 (expr)> #]
In /gnu/store/72ng0zh4qr4lfhaxmz6pgfsn8rcnk85w-module-import/guix/build/utils.scm:
 618: 0 [invoke "make" ...]

/gnu/store/72ng0zh4qr4lfhaxmz6pgfsn8rcnk85w-module-import/guix/build/utils.scm:618:6: In procedure invoke:
/gnu/store/72ng0zh4qr4lfhaxmz6pgfsn8rcnk85w-module-import/guix/build/utils.scm:618:6: Throw to key `srfi-34' with args `(#<condition &invoke-error [program: "make" arguments: ("SHELL=/gnu/store/4lmrm29accxvschv270m34r77iy4slvh-bootstrap-binaries-0/bin/sh") exit-status: 2 term-signal: #f stop-signal: #f] 9003480>)'.
builder for `/gnu/store/hjd5zrg6bdqlqxzv2y7jcwmij6r8983x-glibc-mesboot-2.16.0.drv' failed with exit code 1
^[[31;1mbuild of /gnu/store/hjd5zrg6bdqlqxzv2y7jcwmij6r8983x-glibc-mesboot-2.16.0.drv failed^[[0m
^[[1mView build log at '/var/log/guix/drvs/hj/d5zrg6bdqlqxzv2y7jcwmij6r8983x-glibc-mesboot-2.16.0.drv.bz2'.^[[0m
cannot build derivation `/gnu/store/lr079n33vdvik6wmrpkclqpmb4969psv-binutils-cross-boot0-2.31.1.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/q0n0l5shcnsrgdgqfpzzqzis5p3hwjgn-diffutils-boot0-3.6.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/4rbgkir0nbsyw47wgm6iha57dlqgd4xr-file-boot0-5.33.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/s1jn1lp0kfdd881xvjjkypp1mk9yx7wk-findutils-boot0-4.6.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/gp09w4n2cfxkczrbvw3288gr4cprjgib-gcc-cross-boot0-5.5.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/bcybhh9l1075m2rpcw7vxysr9mdncqm7-gcc-mesboot-wrapper-4.7.4.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/wfyp8sg7afy9m2vlhar8rvmn22w25hmc-glibc-2.28.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/dkksi69qw69p1mpipkicvrki12jjn4dx-glibc-intermediate-2.28.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/m7vr8r3gfbq0zklay0k7n46lqzwwnzvs-linux-libre-headers-4.14.67.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/q6wfr6nywlgk7hbh46qrddzdkx66r6lr-make-boot0-4.2.1.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/if9k5sdlfpwsc7rd4b3grmlfwgdb4m5g-perl-boot0-5.28.1.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/yg6lplxhwh3iwlagiji5m58wym5r0mb2-texinfo-6.5.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/2cbkcbmqi5ih518i7afjzzpfwl9r29ha-bash-static-4.4.23.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/aisd1fl6n3lx49468xnxaydmckfmkwj7-bzip2-1.0.6.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/3lhhmnv951pvhpvdpx0ksvllc6ibw4gd-coreutils-8.30.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/hajfcwp3jam3wichmf1y9rn1bch7aaqf-gawk-4.2.1.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/2w1xq0pgygj1i9k5iw0bkw3d75n64cyh-glibc-utf8-locales-2.28.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/xqbcqbvi1q5sy9njy41bzznpyyppj3lr-gmp-6.1.2.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/jv79xv3b0mv5139lzvy5hgfnnbks0qvz-grep-3.1.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/q65ndsxw9lc0lhrlf0fl57q4fnipd3j7-guile-2.2.4.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/6zndmqarbw29jc9hjka3nwgsvxmvp71w-guile-static-stripped-2.2.4.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/k396n1pbg86b9rq3x0d30745bhjqfmcl-gzip-1.9.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/l55lz28adf96kc8rjbyfhk1yznmczaf6-libgc-7.6.8.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/s65fa7m810ikk3mvzxiy0hpp534bdcwf-libltdl-2.4.6.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/aq8qcax9z2ii2l95zwfl6jgm7iypg9r1-libunistring-0.9.10.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/gskxh94q4vnwap8zacxb47hl1dffnmnq-linux-libre-headers-4.14.67.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/6gks60n194riy7naldfhhd7wk6ia904d-mes-minimal-stripped-0.19.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/36nnbh76k5h0sb2y36slpgygx7qykymd-mescc-tools-0.5.2-0.bb062b0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/zads234llh5dckh08cr3irm2mm0m22n7-mescc-tools-static-0.5.2-0.bb062b0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/s2hyk570c1ldn38w4624fbj3irk0hmdk-nyacc-0.86.0.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/a23lxzfkcaa00b349vhl1ih5p1h12zg0-patch-2.7.6.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/s79xhnyks53s7sd94lp7b6dnx9cwjmbl-patch-2.7.6.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/jh73a96d0srnhqw3k64dxc1r645j8xlp-perl-5.28.1.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/1smiwpnfq4zcpbih664vy070byfg44fj-sed-4.5.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/1nvrhgdpqszkg18jxrgf1j7disswl081-tar-1.30.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/m2qdnzpr1if7xr7d5yzzna6zmh05wjq8-tar-1.30.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/w78p8m9rgygfa9g08jszzx3lglpxbnw9-tar-1.30.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/8fj59s5slzdbwlfbh6w0ivslv748yiwb-xz-5.2.4.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/9xmwag2wq1jb22qck0cn2h0zhhiq5761-xz-5.2.4.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/x4v1kimj6f9h7m27jj4vpn8m1assbcl1-xz-5.2.4.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/akq4vqx6hg0k7ncix2dgf4m72jdl4qcg-bootstrap-tarballs-0.drv': 1 dependencies couldn't be built
guix build: error: build failed: build of `/gnu/store/akq4vqx6hg0k7ncix2dgf4m72jdl4qcg-bootstrap-tarballs-0.drv' failed
mhw@jojen ~/guix-check-mes-bootstrap$ 
--8<---------------cut here---------------end--------------->8---

I'm unsure how to proceed.  Can someone please help me independently
verify these binaries?

      Mark